
#ifndef DETECTORFORM_H
#define DETECTORFORM_H

#include<QtXml>

#include "ui_DetectorForm.h"
#include "XYQt/FSDoubleValidator.h"

class DetectorForm : public QWidget, public  Ui::DetectorForm
{
  Q_OBJECT

  QString detectorName;

public:
  DetectorForm(QString name, QWidget * parent);

  bool setFromNode(QDomNode &n);
  void updateDetectorPoints();
  QString corteo(bool *error);
  QDomElement XMLNode(QDomDocument &doc);

public slots:
  void updateGeometryTab(int itab);

};

#endif // DETECTORFORM_H
