/*  
    Copyright 2007, Francois Schiettekatte

    This file is part of Corteo.

    Corteo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Corteo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Corteo.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef CORTEOUTILS_H
#define CORTEOUTILS_H

#include <stdio.h>

float myInvSqrtTableExp[256];
float mySqrtTableExp[256];
float myInvSqrtTable[1<<16];
float mySqrtTable[1<<16];

void  mySqrtTableFill();
float myInvSqrt(float val);
float mySqrt(float val);

void randomizelist(float *list, unsigned int maxlist);
void ignoreline(FILE *ifp);
float d2f(double val);
float sqrtdf(double val); 
float a2f(char * s);

#endif // CORTEOUTILS_H
