/*  
    Copyright 2007, Francois Schiettekatte

    This file is part of Corteo.

    Corteo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Corteo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Corteo.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef CORTEOMATRIX_H
#define CORTEOMATRIX_H

// matrix elements calulation parameters
#define NSUM  1000   // number of terms in Gauss-Mehler quadrature sum

int calcMatrix(int showProgress);
int loadMatrix(void);
float Matrix(unsigned long i);
void setMatrix(unsigned long i, float val);
double THETA(double epsilon, double s, unsigned int nsum);

#endif // CORTEOMATRIX_H
